Subject: Re: best git practices, was Re: Git User's Survey 2007 unfinished summary continued

From: "J. Bruce Fields" <[email-masked]>
Date: Wed, 24 Oct 2007 18:38:15 -0400

On Thu, Oct 25, 2007 at 12:33:37AM +0200, Steffen Prohaska wrote:
> Maybe. I know git quite well now and in a shared workflow "git pull"
> with auto-fast-forward would help me. I often need to run "for each
> local branch: git checkout ; git merge" to get rid of the errors
> reported by "git push".

Hm.  There's gotta be more efficient ways to do that.  Maybe "git push .
origin/branch:branch" for each local "branch"?

But I'm still a little confused why you don't just want to "git push
name-of-branch" and avoid the whole problem.

--b.